%global srcname cache_tab
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name: erlang-cache_tab
Version: 1.0.1
Release: 2%{?dist}
Summary: Erlang cache table application

License: ASL 2.0
URL: https://github.com/processone/cache_tab/
Source0: https://github.com/processone/cache_tab/archive/%{version}.tar.gz

BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils


%description
This application is intended to proxy back-end operations for Key-Value insert,
lookup and delete and maintain a cache of those Key-Values in-memory, to save
back-end operations. Operations are intended to be atomic between back-end and
cache tables. The lifetime of the cache object and the max size of the cache
can be defined as table parameters to limit the size of the in-memory tables.


%prep
%autosetup -n cache_tab-%{version}


%build
%rebar_compile


%install
install -p -D -m 644 ebin/* --target-directory=$RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/ebin


%files
%license LICENSE.txt
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Fri Mar 11 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.1-2
- Rebuild to use the new automatic provides/requires behavior.

* Sun Feb 14 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.1-1
- Update to version 1.0.1.
- Change srcname to cache_tab, consistent with upstream's rename.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 9 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.0-1
- Initial release.
